﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDateTimeEx
{
    class ViewModel : INotifyPropertyChanged
    {
        private DateTime _firstDT;
        public DateTime FirstDateTime
        {
            get { return _firstDT; }
            set
            {
                if (_firstDT != value)
                {
                    _firstDT = value;
                    OnPropertyChanged("FirstDateTime");
                }
            }
        }

        public ViewModel()
        {
            FirstDateTime = DateTime.Now;
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
